summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSebastian Pipping <sping@gentoo.org>2021-06-12 16:05:16 +0200
committerSebastian Pipping <sping@gentoo.org>2021-06-12 16:08:28 +0200
commitbdc6ab35bdc1ecac19f134823bf87ab9dc7aeee9 (patch)
tree2dbfab644f86fa1f9ccde2838e630dcb02370b23 /app-text/nuspell/nuspell-5.0.0.ebuild
parentapp-emulation/xen-tools: Stabilize 4.14.2-r1 x86, #795054 (diff)
downloadgentoo-bdc6ab35bdc1ecac19f134823bf87ab9dc7aeee9.tar.gz
gentoo-bdc6ab35bdc1ecac19f134823bf87ab9dc7aeee9.tar.bz2
gentoo-bdc6ab35bdc1ecac19f134823bf87ab9dc7aeee9.zip
app-text/nuspell: 5.0.0
Signed-off-by: Sebastian Pipping <sping@gentoo.org> Package-Manager: Portage-3.0.19, Repoman-3.0.3
Diffstat (limited to 'app-text/nuspell/nuspell-5.0.0.ebuild')
-rw-r--r--app-text/nuspell/nuspell-5.0.0.ebuild51
1 files changed, 51 insertions, 0 deletions
diff --git a/app-text/nuspell/nuspell-5.0.0.ebuild b/app-text/nuspell/nuspell-5.0.0.ebuild
new file mode 100644
index 00000000000..f23bbc3b51b
--- /dev/null
+++ b/app-text/nuspell/nuspell-5.0.0.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake
+
+DESCRIPTION="Spell checker library and CLI for complex natural languages"
+HOMEPAGE="https://nuspell.github.io/ https://github.com/nuspell/nuspell"
+SRC_URI="https://github.com/nuspell/nuspell/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="LGPL-3+"
+SLOT="0/5" # due to libnuspell.so.5
+KEYWORDS="~amd64 ~x86"
+IUSE="doc test"
+
+RDEPEND=">=dev-libs/icu-59"
+DEPEND="${RDEPEND}
+ doc? ( app-text/pandoc )
+ test? ( >=dev-cpp/catch-2.3.0:0 )
+ "
+
+DOCS=( CHANGELOG.md )
+
+RESTRICT="!test? ( test )"
+
+src_prepare() {
+ rm -R external/Catch2/ || die
+ if ! use test ; then
+ rm -R external/hunspell/ || die
+ fi
+ cmake_src_prepare
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DBUILD_TESTING=$(usex test)
+ )
+
+ cmake_src_configure
+}
+
+pkg_postinst() {
+ einfo
+ einfo 'Nuspell needs language packs and/or dictionaries to be of use'
+ einfo 'e.g. package app-dicts/myspell-en or one of its siblings.'
+ einfo
+ einfo 'Besides MySpell dictionaries, for other options please'
+ einfo 'see https://nuspell.github.io/#languages-and-users .'
+ einfo
+}